<% cu = current_user -%>
<div class="linkst">
	<div class="inbox">
		<p class="pagelink"><strong>Pages: <%= @pages.page_count > 1 ? pagination_links(@pages) : '1' %></strong></p>
	</div>
</div>

<% for p in @posts -%>
<div class="blockpost searchposts <%= cycle('rowodd','rowevent') %>">
	<h2><?php echo $forum ?>&nbsp;&raquo;&nbsp;<a href="<%= url_for :controller => 'topic', :action => 'view' %>"><%=h p.topic.subject %></a>&nbsp;&raquo;&nbsp;<a href="viewtopic.php?pid=<?php echo $search_set[$i]['pid'].'#p'.$search_set[$i]['pid'] ?>"><?php echo format_time($search_set[$i]['pposted']) ?></a></h2>
	<div class="box">
		<div class="inbox">
			<div class="postleft">
				<dl>
<% if p.poster_id > 1 -%>
					<dt><strong><%= link_to h(p.poster), :controller => 'user', :action => 'view', :id => p.poster_id %></strong></dt>
<% else -%>
					<dt><%=h p.poster %></dt>
<% end -%>
					<dd>Replies: <?php echo $search_set[$i]['num_replies'] ?></dd>
<% if !cu.is_guest? and p.topic.last_post > cu.last_visit -%>
					<dd><div class="icon inew"><div class="nosize">New icon</div></div></dd>
<% else -%>
					<dd><div class="icon"><div class="nosize">Normal icon</div></div></dd>
<% end -%>
					<dd><p class="clearb"><a href="viewtopic.php?pid=<?php echo $search_set[$i]['pid'].'#p'.$search_set[$i]['pid'] ?>">Go to post</a></p></dd>
				</dl>
			</div>
			<div class="postright">
				<div class="postmsg">
					<p><%= p.html_message %> &hellip;</p>
				</div>
			</div>
			<div class="clearer"></div>
		</div>
	</div>
</div>
<% end -%>
<div class="postlinksb">
	<div class="inbox">
		<p class="pagelink"><strong>Pages: <%= @pages.page_count > 1 ? pagination_links(@pages) : '1' %></strong></p>
	</div>
</div>
